Subject: [bess] Ingress and Egress PE in draft-ietf-bess-inter-subnet-forwarding-05

From: Alexander Vainshtein <[email-masked]>
Date: Tue, 20 Nov 2018 14:14:16 +0000

Hi all,
It seems that the  Ingress and Egress PEs in Section 3.2 "Symmetric IRB - Procedures" are used inconsistently

-          In the control plane sections (3.2.1 and 3.2.2) Ingress PE is the PE that locally learns a MAC/IP pair and advertises the relevant EVPN MAC/IP Advertisement Route, while the Egress PE receives this route and installs it

-          In the data plane sections Ingress PE is the PE that receives an Ethernet frame and handles it in accordance with the installed MAC/IP Advertisement route (i.e., the egress PE from the control plane POV),, while egress PE is the PE that receives an EVPN-encapsulated  packet and handles it (i.e. the Ingress PE for the control plane POV).

May I suggest to use these notions consistently so that routes are distributed from Egress PE to Ingress PE while traffic flows from Ingress PE to Egress PE? From my POV, this would be aligned with the way these terms are used, say, in RFC 4364 and RFC 7432.

Do I misunderstand something?

Regards,
Sasha

Office: +972-39266302
Cell:      +972-549266302
Email:   [email-masked]

___________________________________________________________________________

This e-mail message is intended for the recipient only and contains information which is 
CONFIDENTIAL and which may be proprietary to ECI Telecom. If you have received this 
transmission in error, please inform us by e-mail, phone or fax, and then delete the original 
and all copies thereof.
___________________________________________________________________________